# Monitoring

A server and application monitoring stack based on Prometheus, Loki and Grafana.

<!-- metadata -->
* **Category**: Utilities
* **Status**: 2, beta
* **Images**: [`prom/prometheus`](https://hub.docker.com/r/prom/prometheus) [`grafana/grafana`](https://hub.docker.com/r/grafana/grafana) [`grafana/loki`](https://hub.docker.com/r/grafana/loki), upstream
* **Healthcheck**: 3
* **Backups**: No
* **Email**: 3
* **Tests**: No
* **SSO**: 1
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. Deploy [`coop-cloud/minio`]
4. `abra app new monitoring --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
5. `abra app YOURAPPDOMAIN config` - be sure to change `GRAFANA_DOMAIN` and `PROMETHEUS_DOMAIN` to something that resolves to
   your Docker swarm box
6. `abra app YOURAPPDOMAIN deploy`
7. Open the configured domain in your browser to finish set-up

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`coop-cloud/traefik`]: https://git.autonomic.zone/coop-cloud/traefik
